Subject: bug#59545: 29.0.50; Eshell fails to redirect output of sourced eshell file

From: Jim Porter <[email-masked]>
Date: Wed, 21 Dec 2022 17:20:58 -0800

On 12/21/2022 11:26 AM, Eli Zaretskii wrote:
> It's a bug, unrelated to the actual writing.  I fixed it now on the
> emacs-29 branch.  You should be able now to save "NUL" on MS-Windows.

Ah, good that we caught that bug then. With that change, my original 
patches should be sufficient. I've merged my patch for the emacs-29 
branch as d6c8d5dbc9fc4786e91b76654058e904c96f0e11 (with some additional 
improvements to the comment/commit message).

I'll wait to merge my changes to master for a couple days to give others 
time to comment though, since those changes are more extensive.